<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$uz=check($uz);

echo '<img src="../images/img/partners.gif" alt=""> <b>Список пользователей</b><br><br>';

//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/userlist.dat");
$user_count=counter_string(BASEDIR."local/datatmp/userlist.dat");

$filtime=$filtime+(3600*$config_userlistcache);

if($sitetime>$filtime || $user_count<50){

foreach (glob(BASEDIR."local/profil/*.prof") as $filename) {
$a[] = basename($filename);
}
	
$total = count($a); 

for ($i = 0; $i < $total; $i++){
$tex = file(BASEDIR."local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);

if($data[0]!=""){
	
$dat_komm[]=(int)$data[33];
$dat_chat[]=(int)$data[12];
$dat_vhod[]=(int)$data[11];
$dat_guest[]=(int)$data[9];
$dat_forum[]=(int)$data[8];
$dat_reg[]=(string)$data[6];
$dat_log[]=(string)$data[0];
$dat_ball[]=(int)$data[36];

}}

arsort($dat_ball);

foreach($dat_ball as $k=>$v){ $gg++;
$dat_top[]='|'.$gg.'|'.$dat_log[$k].'|'.$v.'|'.$dat_forum[$k].'|'.$dat_guest[$k].'|'.$dat_chat[$k].'|'.$dat_komm[$k].'|'.$dat_vhod[$k].'|'.$dat_reg[$k].'|';	
}

$dat_top=implode("\r\n",$dat_top);

if($dat_top!=""){
$fp = fopen(BASEDIR."local/datatmp/userlist.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$dat_top\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/userlist.dat", 0666); 
}
}



//------------------------------ ВЫВОД ИЗ КЕША ------------------------------//	
$file = file(BASEDIR."local/datatmp/userlist.dat");
$total = count($file);

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_userlist){ $end = $total; }
else {$end = $start + $config_userlist; }
for ($i = $start; $i < $end; $i++){
	
$data = explode("|",$file[$i]);

echo '<div class=b>'.$data[1].'. <img src="../images/img/chel.gif" alt=""> ';

if($uz==$data[2]){
echo '<b><big><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'"><font color="#FF0000">'.nickname($data[2]).'</font></a></big></b> ';
}else{	
echo '<b><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'">'.nickname($data[2]).'</a></b> ';
}

echo '(Баллов: <b>'.$data[3].'</b>)</div>';
echo 'Оставленных сообщений<br> Форум: '.$data[4].' | Гостевая: '.$data[5].' | Чат: '.$data[6].' | Коммент: '.$data[7];
echo '<br>Посещений: '.$data[8].'<br>Дата регистрации: '.date("j.m.Y",$data[9]).'<br>';
}

echo'<hr>'; 
if ($start != 0) {echo '<a href="userlist.php?start='.($start - $config_userlist).'&amp;'.SID.'">&lt;-Назад </a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_userlist) {echo ' <a href="userlist.php?start='.($start + $config_userlist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';} 

if($total>0){

$ba=ceil($total/$config_userlist);
$ba2=$ba*$config_userlist-$config_userlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_userlist*4);
$asd2=$start+($config_userlist*5);

if($asd<$total && $asd>0){echo ' <a href="userlist.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;){
	
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_userlist);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
} else {
echo ' <a href="userlist.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_userlist;}
if($asd2<$total){echo ' ... <a href="userlist.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}


//-----------------------------------------------------------------//
if($uz==""){
echo '<hr><b>Поиск пользователя:</b><br>';
if($config_themes!="wml"){	
echo '<form action="userlist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<input name="uz" value="'.$log.'" /><br>';
echo '<input type="submit" value="Искать" /></form><hr>';

}else{

echo'<input name="uz" value="'.$log.'"/><br>';
echo'<anchor>Искать';
echo'<go href="userlist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>--------------------';
}
}else{
	

$file = file(BASEDIR."local/datatmp/userlist.dat");
$total = count($file);	
for ($i = 0; $i < $total; $i++){ 
	
$data = explode("|",$file[$i]);	
if (trim($uz)==$data[2]){

$stranica = floor($i / $config_userlist) * $config_userlist;

if($start!=$stranica){ 
header ("Location: userlist.php?start=$stranica&uz=$uz&".SID); 
}

$pos = $i + 1; 
echo '<hr><br><font color="#00FF00">Позиция в рейтинге:</font> <b>'.$pos.'</b><br>';	

break;
}}

if($pos==""){ echo '<hr><br><b><font color="#FF0000">Пользователь с таким логином не найден!</font></b><br>';}

echo '<br><a href="userlist.php?start='.$start.'&amp;'.SID.'">Искать еще</a><br>';
}



echo '<br>Всего юзеров: <b>'.(int)$total.'</b><br><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>

